petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscObjectView

Views any PetscObject, regardless of the type.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscObjectView(PetscObject obj,PetscViewer viewer)

Collective on PetscObject Many br

### Input Parameters

| obj | - any PETSc object, for example a Vec, Mat or KSP. Many brThis must be cast with a (PetscObject), for example, Many brPetscObjectView((PetscObject)mat,viewer); Many br
| viewer | - any PETSc viewer Many br

Many br

Level:intermediate
Location:src/sys/objects/destroy.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages